Bug 1731677 - PATCH: Add sip-doc documentation subpackage
Summary: PATCH: Add sip-doc documentation subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sip
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-21 07:20 UTC by "FeRD" (Frank Dana)
Modified: 2020-04-20 13:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-20 13:51:57 UTC
Type: Bug


Attachments (Terms of Use)
Specfile patch to add documentation subpackage (2.09 KB, application/mbox)
2019-07-21 07:20 UTC, "FeRD" (Frank Dana)
no flags Details
Specfile patch to add documentation subpackage (revised) (2.21 KB, patch)
2020-04-20 06:10 UTC, "FeRD" (Frank Dana)
no flags Details | Diff

Description "FeRD" (Frank Dana) 2019-07-21 07:20:51 UTC
Created attachment 1592399 [details]
Specfile patch to add documentation subpackage

Description of problem:
The sip distribution includes a full set of documentation in the doc/html directory, none of which is available in the RPMs.

Version-Release number of selected component (if applicable):
sip-4.19.17-1.fc30.x86_64

Additional info:
Here's a specfile patch that builds a sip-doc subpackage, containing a copy of the source distribution's doc/html directory placed in /usr/share/doc/sip/html

I tried to submit this as a pull request for rpms/sip in Pagure, but Open PR shows a "Pull-request have been disabled for this repo" message. So, attached is a git format-patch version of the PR.

(Note: I also updated the package URL to https, and dropped the "www." prefix that riverbank's server is no longer using.)

(Note2: The spec changes copy the documentation files "manually" using find, instead of using %doc in the files section, because when I used %doc the docs were installed to /usr/share/doc/sip-doc/html/ which doesn't seem like the desirable outcome. If there's a way around that, please let me know and I'll correct the patch.)

Comment 1 Ben Cotton 2019-08-13 16:50:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:59:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 "FeRD" (Frank Dana) 2020-04-20 06:10:00 UTC
Created attachment 1680192 [details]
Specfile patch to add documentation subpackage (revised)

@rdieter:

Here's a current, slightly-improved version of that patch, in fact, made against the current master branch.

Comment 4 Rex Dieter 2020-04-20 13:51:57 UTC
Patch applied thanks


Note You need to log in before you can comment on or make changes to this bug.